BasicCheckBoxUI (Java SE 21 & JDK 21)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicCheckBoxUI
Keywords: javax.swing.plaf.basic.BasicCheckBoxUI class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicCheckBoxUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.basic.BasicButtonUI
javax.swing.plaf.basic.BasicToggleButtonUI
javax.swing.plaf.basic.BasicRadioButtonUI
javax.swing.plaf.basic.BasicCheckBoxUI

public class BasicCheckBoxUI extends BasicRadioButtonUI
CheckboxUI implementation for BasicCheckboxUI

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Field Summary

  ### Fields declared in class javax.swing.plaf.basic.BasicRadioButtonUI

  `icon`

  ### Fields declared in class javax.swing.plaf.basic.BasicButtonUI

  `defaultTextIconGap, defaultTextShiftOffset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicCheckBoxUI()`
  Constructs a `BasicCheckBoxUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent b)`
  Returns an instance of `BasicCheckBoxUI`.
  `String`
  `getPropertyPrefix()`
  Returns the property prefix.

  ### Methods declared in class javax.swing.plaf.basic.BasicRadioButtonUI

  `getDefaultIcon, getPreferredSize, paint, paintFocus`

  ### Methods declared in class javax.swing.plaf.basic.BasicToggleButtonUI

  `getTextShiftOffset, paintIcon`

  ### Methods declared in class javax.swing.plaf.basic.BasicButtonUI

  `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, installDefaults, installKeyboardActions, installListeners, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, installUI, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicCheckBoxUI

    public BasicCheckBoxUI()
    Constructs a `BasicCheckBoxUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent b)
    Returns an instance of `BasicCheckBoxUI`.
    Parameters:
      `b` - a component
    Returns:
      an instance of `BasicCheckBoxUI`

  - ### getPropertyPrefix

    public String getPropertyPrefix()
    Description copied from class: `BasicButtonUI`
    Returns the property prefix.
    Overrides:
      `getPropertyPrefix` in class `BasicButtonUI`
    Returns:
      the property prefix